{
  "type": "module",
  "name": "movix-web",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@azure/storage-blob": "^12.12.0",
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/react-modal": "^3.13.1",
    "axios": "^1.1.3",
    "chart.js": "^4.0.1",
    "dotenv": "^16.0.3",
    "localforage": "^1.10.0",
    "match-sorter": "^6.3.1",
    "primeicons": "^6.0.1",
    "primereact": "^8.7.2",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-dotenv": "^0.1.3",
    "react-google-charts": "^4.0.0",
    "react-modal": "^3.16.1",
    "react-modal-hover": "^1.1.13",
    "react-native-chart-kit": "^6.12.0",
    "react-native-svg": "^13.5.0",
    "react-native-svg-charts": "^5.4.0",
    "react-router-dom": "^6.7.0",
    "react-scripts": "5.0.1",
    "react-spinners": "^0.13.6",
    "sort-by": "^1.2.0",
    "styled-components": "^5.3.6",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start": "react-dotenv && react-scripts start", 
    "build": "react-dotenv && react-scripts build", 
    "serve": "react-dotenv && serve build",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@types/jest": "^29.2.6",
    "@types/node": "^18.11.18",
    "@types/react": "^18.0.27",
    "@types/react-dom": "^18.0.10",
    "@types/react-router-dom": "^5.3.3",
    "@types/styled-components": "^5.1.26",
    "typescript": "^4.9.4"
  },
  "react-dotenv": {
    "whitelist": ["API_URL"]
  }
}
